SuSE 10 Security Update : xine (ZYPP Patch Number 4926)

Medium Nessus Plugin ID 30100


The remote SuSE 10 host is missing a security-related patch.


Specially crafted rtsp-Streams could cause a buffer overflow in xine.
Attackers could potentially exploit that to execute arbitrary code.

Additionally a security update of xorg-x11 revealed a bug in xine-ui.
The xine user interface didn't display properly due to that.


Apply ZYPP patch number 4926.

See Also

Plugin Details

Severity: Medium

ID: 30100

File Name: suse_xine-devel-4926.nasl

Version: $Revision: 1.11 $

Type: local

Agent: unix

Published: 2008/01/27

Modified: 2012/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:N

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2008/01/17

Reference Information

CVE: CVE-2008-0225

CWE: 119